Bug 1126723 - Distributing http service on Multiple servers
Summary: Distributing http service on Multiple servers
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: async/tasks
Version: unspecified
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 07:18 UTC by Dhaval
Modified: 2015-02-28 22:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:14:23 UTC


Attachments (Terms of Use)
Error Trace (17.79 KB, text/plain)
2014-08-05 07:18 UTC, Dhaval
no flags Details


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 480 None None None Never

Description Dhaval 2014-08-05 07:18:06 UTC
Created attachment 924113 [details]
Error Trace

Description of problem: Distribute http service on multiple server to scale http calls and distribute load


Version-Release number of selected component (if applicable):
Pulp-2.4 beta

How reproducible:
1)
Server1 :- running pulp-server-qpid, qpidd, pulp-workers, pulp_celerybeat, pulp_resource_manager, mongodb

Share /var/lib/pulp on server1

2) mount /var/lib/pulp on server2 using NFS

Install pulp-server-qpid, configured server.conf to connect qpidd on server1 ..  start httpd … ( connecting mongodb on server1 )


Steps to Reproduce:
1. 
2.
3.

Actual results:

pulp-admin -u admin -p admin rpm repo uploads rpm --file ./mytest.rpm-1-1.x86_64.rpm --repo-id osbuild1

“”””””””””””” ERROR “””””””””””””””””””””””””””
Uploading: mytest.rpm-1-1.x86_64.rpm
[==================================================] 100%
2680/2680 bytes
... completed

Importing into the repository...
This command may be exited via ctrl+c without affecting the request.

[\]
Running...

Task Succeeded


Deleting the upload request...
An internal error occurred on the Pulp server:

RequestException: DELETE request
on /pulp/api/v2/content/uploads/eb7d3aa0-d766-477a-a624-8a875e700428/ failed
with 500 - Unhandled Exception


Expected results:


Additional info:

Comment 1 Randy Barlow 2014-08-08 18:51:16 UTC
https://github.com/pulp/pulp/pull/1097

Comment 2 Brian Bouterse 2015-02-28 22:14:23 UTC
Moved to https://pulp.plan.io/issues/480


Note You need to log in before you can comment on or make changes to this bug.